
/**
 * Provide the summary information for the "Implementation scope" vertical tabs.
 */
Drupal.verticalTabs = Drupal.verticalTabs || {};
Drupal.verticalTabs.pages = function() {
  "use strict";
  if (!$('textarea#edit-automatr-implementation-pages-pages').val()) {
    return Drupal.t('Not restricted');
  }
  else {
    return Drupal.t('Restricted to certain pages');
  }
}
Drupal.verticalTabs.roles = function() {
  "use strict";
  var vals = [];
  $('fieldset.vertical-tabs-roles input[type="checkbox"]:checked').each(function () {
    vals.push($.trim($(this).parent().text()));
  });
  if (!vals.length) {
    vals.push(Drupal.t('Not restricted'));
  }
  return vals.join(', ');
}

/**
  * Open external links in a new window.
  */
Drupal.behaviors.automatrExternalLinks = function (context) {
  "use strict";
  $('#automatr-admin-settings-form a', context).filter(function () {
    // Ignore non-HTTP (e.g. mailto:) link.
    return this.href.indexOf('http') === 0;
  }).filter(function () {
    // Filter out links to the same domain.
    return this.hostname && this.hostname !== location.hostname;
  }).each(function () {
    // Open others in their own windows.
    $(this).attr('target', '_blank');
  });
}
